Bug 1003219 - [abrt] system-config-printer-1.4.2-1.fc19: probe_printer.py:103:open_socket:error: [Errno 111] Connection refused
[abrt] system-config-printer-1.4.2-1.fc19: probe_printer.py:103:open_socket:e...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:e7972c5c638d3af9eb4907fc375...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 20:12 EDT by baronrouge8
Modified: 2013-11-10 02:43 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:38:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (735 bytes, text/plain)
2013-08-31 20:12 EDT, baronrouge8
no flags Details
File: environ (1.85 KB, text/plain)
2013-08-31 20:12 EDT, baronrouge8
no flags Details

  None (edit)
Description baronrouge8 2013-08-31 20:12:27 EDT
Description of problem:
Trying to connect to a networked Brother 2270DW printer (hitting the Probe button)

Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.2-1.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
probe_printer.py:103:open_socket:error: [Errno 111] Connection refused

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 2968, in on_btnNPTLpdProbe_clicked
    printers = server.probe()
  File "/usr/share/system-config-printer/probe_printer.py", line 191, in probe
    found = self.probe_queue(name, result)
  File "/usr/share/system-config-printer/probe_printer.py", line 131, in probe_queue
    s = open_socket(self.hostname, 515)
  File "/usr/share/system-config-printer/probe_printer.py", line 103, in open_socket
    socket.SOCK_STREAM)
error: [Errno 111] Connection refused

Local variables in innermost frame:
s: None
hostname: 'BRN001BA9EDADDD'
host: 'BRN001BA9EDADDD'
port: 515
Comment 1 baronrouge8 2013-08-31 20:12:31 EDT
Created attachment 792488 [details]
File: backtrace
Comment 2 baronrouge8 2013-08-31 20:12:34 EDT
Created attachment 792489 [details]
File: environ
Comment 3 Jiri Popelka 2013-09-02 07:00:46 EDT
I haven't been able to reproduce it, but this upstream commit should prevent it:
https://git.fedorahosted.org/cgit/system-config-printer.git/commit/?id=952f7df0b1255e8f22013026fab24300b0860ff7
Comment 4 Fedora Update System 2013-10-22 12:55:16 EDT
system-config-printer-1.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc20
Comment 5 Fedora Update System 2013-10-22 12:57:33 EDT
system-config-printer-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc19
Comment 6 Fedora Update System 2013-10-22 23:30:09 EDT
Package system-config-printer-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19726/system-config-printer-1.4.3-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-06 02:38:44 EST
system-config-printer-1.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:43:45 EST
system-config-printer-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.